Ticket #22 (closed task: fixed)

Opened 6 years ago

Last modified 6 years ago

Graphing Front End

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Ruse
Component: webconsole Severity:
Keywords: Cc:

Description (Last modified by jesus)

Build a graphing front-end. For now, the technology selections are:

  • PHP
  • flot
  • jQuery/JS/CSS

Code should live under ui/web

Change History

06/25/08 13:47:02 changed by jesus

  • owner changed from jesus to jschulz.

09/21/08 19:55:53 changed by jesus

(In [436]) graph editing... (a.k.a. Theo learn jQuery), refs #22

09/21/08 23:54:47 changed by jesus

(In [437]) as hard as we try, we cannot replace the elegance of reverse polish notation. refs #22

09/22/08 12:04:17 changed by jesus

(In [438]) search, albeit useless, refs #22

09/23/08 14:40:35 changed by jesus

(In [442]) add title(name) info, refs #22

09/23/08 14:42:21 changed by jesus

(In [443]) set titles and dataset titles, add 'remember graph' and fix styles, refs #22

09/23/08 14:43:00 changed by jesus

(In [444]) add title(name), refs #22

09/23/08 14:43:17 changed by jesus

(In [445]) more consistent naming, refs #22

09/24/08 04:05:10 changed by jesus

(In [447]) graph lookup and cleanup, refs #22

09/24/08 21:26:51 changed by jesus

(In [450]) pagination of search results, refs #22

09/25/08 00:26:24 changed by jesus

(In [451]) this can't be private, refs #22

09/25/08 13:26:07 changed by jesus

(In [453]) cleanup the bw stuff. We still need to figure out how pre-fab graph templates are going to work, refs #22

09/25/08 13:26:25 changed by jesus

(In [454]) detect autounits use, refs #22

09/25/08 13:27:06 changed by jesus

(In [455]) flip this around to make it the default, refs #22

09/26/08 15:16:45 changed by jesus

(In [459]) make search better. refs #22

10/06/08 18:51:44 changed by jesus

(In [462]) more progress... worksheet prototyping, no data backend yet, refs #22

10/06/08 19:37:40 changed by jesus

(In [463]) fixups, renames, refs #22

10/09/08 01:36:54 changed by jesus

(In [465]) fix the id collisions... at least the ones bothering me. Get the counter-dev working, but break the normal derivatives, refs #22

10/11/08 17:32:02 changed by jesus

(In [467]) make settings work for text changesets and for guides. Add guides into json flot processing, refs #22

10/11/08 21:59:16 changed by jesus

(In [469]) build out tooltips, refs #22

10/12/08 22:56:32 changed by jesus

(In [470]) rework tooltips to be body-relative absolute. Intergrate the sortable lists for worksheet graph reordering, refs #22

10/13/08 21:51:39 changed by jesus

(In [473]) deleting graphs... needs some images now, refs #22

10/14/08 19:33:41 changed by jesus

(In [480]) color chooser, still need transparency selection, refs #22

10/14/08 21:46:49 changed by jesus

(In [485]) add support for colors and changeset fixes. deleteGraph support. less legends per line, refs #22

10/15/08 03:06:57 changed by jesus

(In [495]) flot shows UTC, so we'll back (asswards) into it from the DB time zone, refs #22

10/15/08 19:08:38 changed by jesus

(In [496]) encapsulate the graphing stuff, refs #22

10/15/08 22:19:47 changed by jesus

(In [499]) consolidation... still a bit buggy, refs #22

10/16/08 03:38:05 changed by jesus

(In [500]) more refactoring, added stubs for worksheet work, refs #22

10/16/08 15:04:55 changed by jesus

(In [501]) macro expansion in titles, refs #22

10/17/08 04:27:29 changed by jesus

(In [504]) some reorg... refs #22

10/17/08 04:49:06 changed by jesus

(In [505]) PHP support for templates. Needs integration, refs #22

10/30/08 05:06:43 changed by jesus

(In [506]) scoping issue causing back pagination not to work, refs #22

10/31/08 02:38:29 changed by jesus

(In [510]) refactor the ajax search, refs #22

10/31/08 04:55:23 changed by jesus

(In [511]) building worksheets... saving will come later, refs #22

11/03/08 20:23:43 changed by jesus

(In [512]) fix data search, refs #22

11/03/08 20:24:48 changed by jesus

(In [513]) make sorting work for newly added graphs, refs #22

11/05/08 21:57:25 changed by jesus

(In [516]) fix up worksheet support, refs #22

11/22/08 04:48:56 changed by jesus

  • owner changed from jschulz to jesus.
  • status changed from new to assigned.

01/30/09 21:24:04 changed by jesus

  • description changed.

03/09/09 13:14:03 changed by jesus

  • status changed from assigned to closed.
  • resolution set to fixed.

Closing this to make future tasks more granular.